Bug 73937 - can't put text in bounce message after setting LOGFILE
can't put text in bounce message after setting LOGFILE
Product: Fedora
Classification: Fedora
Component: procmail (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 11:09 EDT by Jonathan Kamens
Modified: 2010-04-15 11:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-13 11:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to support LOGSENDER variable (2.68 KB, patch)
2002-09-13 11:10 EDT, Jonathan Kamens
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2002-09-13 11:09:57 EDT
With procmail 3.22, I would like to log the delivery of my mail, but I would
also like to be able to include messages in the bounces to senders that I
generate by setting ERRORCODE.

There is no easy way to do this -- once LOGFILE has been set, the stderr file
descriptor which goes back to the sender is lost, even if LOGFILE is
subsequently emptied.

The attached patch adds a new magic variable, LOGSENDER, which will generate a
message to the sender even if LOGFILE has been messed with.  To accomplish this,
opnlog has been modified to preserve the stderr file descriptor when opening a
log file.

I've also submitted this patch to bug@procmail.org.
Comment 1 Jonathan Kamens 2002-09-13 11:10:28 EDT
Created attachment 76045 [details]
Patch to support LOGSENDER variable
Comment 2 Trond Eivind Glomsrxd 2002-09-16 16:11:49 EDT
If added by upstream author, we'll get it from there. Adding non-standard
fucntionality specific to our packages is best avoided.
Comment 3 Jonathan Kamens 2007-03-25 02:21:18 EDT
Can I ask you to reconsider adding this to the Fedora version of procmail?  I
submitted the patch to the authors of procmail four and a half years ago, and
they haven't bothered to incorporate it into their version.  As far as I can
tell, they simply aren't maintaining it anymore.  This is useful functionality,
which I'd love to see be more widely available than just my PC :-).
Comment 4 Jonathan Kamens 2007-03-25 02:38:30 EDT
I just sent email to bug@procmail.org about this, and it bounced.  It seems
entirely likely that no one is minding the store anymore.  If you're going to
keep shipping a package with no upstream maintainer, methinks you ought to
consider patching it when people submit useful patches ;-).
Comment 5 Fedora Admin XMLRPC Client 2010-04-15 11:58:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.